#include "WizAniNodes.h"
WizAniNodes::WizAniNodes()
{
	BMP_Index				= 0;
	ImgStartFrame			= 0;
	HowManyFramesToShow		= 0;
	RepeatUntilUserInput	= false;
}
WizAniNodes::~WizAniNodes()
{
}
const WizAniNodes& WizAniNodes::operator= (const WizAniNodes &other)
{
	if(this != &other)
	{
		BMP_Index				= other.BMP_Index;
		ImgStartFrame			= other.ImgStartFrame;
		HowManyFramesToShow		= other.HowManyFramesToShow;
		RepeatUntilUserInput	= other.RepeatUntilUserInput;
	}//end: if(this != &other)
	return *this;
}
const WizAniNodes* WizAniNodes::operator= (const WizAniNodes *other)
{
	if(this != other)
	{
		BMP_Index				= other->BMP_Index;
		ImgStartFrame			= other->ImgStartFrame;
		HowManyFramesToShow		= other->HowManyFramesToShow;
		RepeatUntilUserInput	= other->RepeatUntilUserInput;
	}
	return this;
}